## netkit-rwall 0.10

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   rpc.rwalld rwall

%.build:
	$(MAKE) -C $(patsubst %.build, %, $@)

%.install:
	$(MAKE) -C $(patsubst %.install, %, $@) install

%.clean:
	$(MAKE) -C $(patsubst %.clean, %, $@) clean

all:     $(patsubst %, %.build, $(SUB))
install: $(patsubst %, %.install, $(SUB))
clean:   $(patsubst %, %.clean, $(SUB))

=== rwall/Makefile ===
all: rwall

include ../MCONFIG
include ../MRULES

RPCGEN=rpcgen

rwall: rwall.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

rwall.o: rwall.h

install: rwall
	install -s -m$(BINMODE) rwall $(INSTALLROOT)$(BINDIR)
	install -m$(MANMODE) rwall.1 $(INSTALLROOT)$(MANDIR)/man1/

clean:
	rm -f *.o rwall rwall.h

rwall.h: ../include/rpcsvc/rwall.x
	$(RPCGEN) -h -o $@ $<

## netkit-rwall 0.17

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   rpc.rwalld rwall

%.build:
	(cd $(patsubst %.build, %, $@) && $(MAKE))

%.install:
	(cd $(patsubst %.install, %, $@) && $(MAKE) install)

%.clean:
	(cd $(patsubst %.clean, %, $@) && $(MAKE) clean)

all:     $(patsubst %, %.build, $(SUB))
install: $(patsubst %, %.install, $(SUB))
clean:   $(patsubst %, %.clean, $(SUB))

distclean: clean
	rm -f MCONFIG

=== rpc.rwalld/Makefile ===
all: rwalld

include ../MCONFIG
include ../MRULES

RPCGEN=rpcgen

rwalld: rwalld.o daemon.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

rwalld.o: rwall.h daemon.h ../version.h
daemon.o: daemon.h

install: rwalld
	install -s -m$(DAEMONMODE) rwalld $(INSTALLROOT)$(SBINDIR)/rpc.rwalld
	install -m$(MANMODE) rpc.rwalld.8 $(INSTALLROOT)$(MANDIR)/man8
	ln -sf rpc.rwalld.8 $(INSTALLROOT)$(MANDIR)/man8/rwalld.8

clean:
	rm -f *.o rwalld rwall.h

rwall.h: ../include/rpcsvc/rwall.x
	$(RPCGEN) -h -o $@ $<

=== debian/changelog ===
netkit-rwall (0.17-10build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:28 +1100

netkit-rwall (0.17-10build2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:11:53 +0000

netkit-rwall (0.17-10build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:30:51 +0000

netkit-rwall (0.17-10) unstable; urgency=medium

  * Orphan package. Set maintainer to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 24 Sep 2022 13:24:38 +0200

netkit-rwall (0.17-9) unstable; urgency=medium

  * Fix FTBFS due to RPC removal from glibc. (Closes: #992963)
    Thanks Aurelien Jarno for the patch.
  * debian/copyright: Cosmetic changes to keep lintian happy.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 01 Sep 2021 16:23:08 +0200

netkit-rwall (0.17-8) unstable; urgency=medium

  [ Christoph Biedl ]
  * Move build system to cmake. (Closes: #912129)
  * Mayor cleanup in debian/

  [ Alberto Gonzalez Iniesta ]
  * Rewrite debian/copyright
  * Bumped Standards-Version to 4.2.1. No changes.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 17 Dec 2018 18:52:30 +0100

netkit-rwall (0.17-7) unstable; urgency=low

  * debian/control:
    - Added alternative Depends on rpcbind (Closes: #564295)
    - Moved netbase Depends to openbsd-inetd | inet-superserver
  * Bumped Standards-Version to 3.8.3.
  * Moved to debhelper compat 7
  * Fixed small typo in rwall manpage. (Closes: #432058)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 15 Jan 2010 17:17:00 +0100

netkit-rwall (0.17-6) unstable; urgency=low

  * The 'update-inetd' batch release.
  * Moved to debhelper 4.
     - Created debian/compat.
     - debian/control. Updated debhelper dependency version.
  * Added Depends on netbase (since we need update-inetd AND an inetd)
    (Closes: #398554)
  * Bumped Standards-Version to 3.7.2.2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 18 Nov 2006 10:42:41 +0100

netkit-rwall (0.17-5) unstable; urgency=low

  * Changed maintainer email address
  * Removed full stops from package Descriptions to make lintian happy

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 25 Mar 2005 19:19:39 +0100

netkit-rwall (0.17-4) unstable; urgency=low

  * New Maintainer. (Closes: #249712)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 19 May 2004 16:20:59 +0200

netkit-rwall (0.17-3) unstable; urgency=low

  * Removed netkit-rpc/libc build-dependency.
  * Depend on debhelper >= 2.
  * Removed netbase dependency.
  * Removed netstd reference in control.
  * Removed build-stamp/install-stamp.

 -- Herbert Xu <herbert@debian.org>  Fri, 31 Oct 2003 20:50:07 +1100

netkit-rwall (0.17-2) unstable; urgency=low

  * Updated build-time dependency for rpc (closes: #113258).

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Sep 2001 21:06:21 +1000

netkit-rwall (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun,  6 May 2001 10:07:25 +1000

netkit-rwall (0.16-2) unstable; urgency=low

  * Depend on portmap (closes: #72180).
  * Added build-time dependencies.

 -- Herbert Xu <herbert@debian.org>  Fri, 22 Sep 2000 18:59:34 +1100

netkit-rwall (0.16-1) unstable; urgency=low

  * New upstream release.
  * Fixed pattern in postrm so that the inetd.conf entry is removed on purging
    (closes: #63901).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 May 2000 10:47:34 +1000

netkit-rwall (0.10-1) unstable; urgency=low

  * Initial release.
  * Don't run as root (closes: #45594).

 -- Herbert Xu <herbert@debian.org>  Wed,  3 Nov 1999 21:52:39 +1100

=== debian/control ===
Source: netkit-rwall
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 10~), cmake, pkg-config, libtirpc-dev

Package: rwalld
Architecture: any
Depends: rpcbind | portmap, openbsd-inetd | inet-superserver, ${shlibs:Depends}, ${misc:Depends}
Description: Write messages to users currently logged in server
 rpc.rwalld is a server which will send a message to users currently logged in
 to the system.  This server invokes the wall(1) command to actually write the
 messages to the system.

Package: rwall
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Send a message to users logged on a host
 The rwall command sends a message to the users logged into the specified host.
 The message to be sent can be typed in and terminated with EOF or it can be in
 a file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --no-parallel

override_dh_missing:
	dh_missing --fail-missing
